import {
    service
} from '../utils/request';

//查询警情数据分页
export function getJqList(params = {}) {
    return service({
        url: '/mosty-sjzx/tbJq/getPageList',
        method: 'get',
        params,
    });
};
//新稚警情信息类别
export function getJqlb(params = {}) {
    return service({
        url: '/mosty-gxother/gxAlarm/getJqlb',
        method: 'get',
        params,
    });
};
//警情统计 
export function getStatistics(data) {
    return service({
        url: '/mosty-sjzx/tbJq/getStatistics',
        method: 'post',
        data,
    });
};
//警情详情 
export function getJqInfo(id) {
    return service({
        url: `/mosty-sjzx/tbJq/${id} `,
        method: 'get',
    });
};

//获取关联警情列表
export function getGljq(params) {
    return service({
        url: "/mosty-sjzx/tbJq/getGljq",
        method: "get",
        params
    })
}
//获取首页警情统计
export function getHomejqtj(params) {
    return service({
        url: "/mosty-sjzx/tbJq/getJqCount",
        method: "get",
        params
    })
}